WNafPreCompInfo (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.math.ec

## Class WNafPreCompInfo

- java.lang.Object
- - org.bouncycastle.math.ec.WNafPreCompInfo

- All Implemented Interfaces:
    PreCompInfo

      public class WNafPreCompInfo
      extends java.lang.Object
      implements PreCompInfo

  Class holding precomputation data for the WNAF (Window Non-Adjacent Form) algorithm.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ECPoint[]` | `preComp` Array holding the precomputed `ECPoint`s used for a Window NAF multiplication.
    `protected ECPoint[]` | `preCompNeg` Array holding the negations of the precomputed `ECPoint`s used for a Window NAF multiplication.
    `protected ECPoint` | `twice` Holds an `ECPoint` representing twice(this).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WNafPreCompInfo()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ECPoint[]` | `getPreComp()`
    `ECPoint[]` | `getPreCompNeg()`
    `ECPoint` | `getTwice()`
    `void` | `setPreComp(ECPoint[] preComp)`
    `void` | `setPreCompNeg(ECPoint[] preCompNeg)`
    `void` | `setTwice(ECPoint twice)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### preComp

          protected ECPoint[] preComp

      Array holding the precomputed `ECPoint`s used for a Window NAF multiplication.

    - #### preCompNeg

          protected ECPoint[] preCompNeg

      Array holding the negations of the precomputed `ECPoint`s used for a Window NAF multiplication.

    - #### twice

          protected ECPoint twice

      Holds an `ECPoint` representing twice(this). Used for the Window NAF multiplication to create or extend the precomputed values.

  - ### Constructor Detail

    - #### WNafPreCompInfo

          public WNafPreCompInfo()

  - ### Method Detail

    - #### getPreComp

          public ECPoint[] getPreComp()

    - #### setPreComp

          public void setPreComp(ECPoint[] preComp)

    - #### getPreCompNeg

          public ECPoint[] getPreCompNeg()

    - #### setPreCompNeg

          public void setPreCompNeg(ECPoint[] preCompNeg)

    - #### getTwice

          public ECPoint getTwice()

    - #### setTwice

          public void setTwice(ECPoint twice)